/*
 * パッドで操作するルーチン
 * この内容を変えると好きなキー構成で操作できます
 */
#include <system.h>
#include <v93.h>
#include "vardecl.h"
#include "service.h"
#include "funcdecl.h"
#include "spec.h"

/*
 * #define USE_RADAR1 を #undef USE_RADAR にすると
 * 自分を中心としたレーダー表示になります。
 */
#define USE_RADAR1
/*
========================================
  パッド操作ルーチン
========================================
 */

void
HumanMain(int which)
{
  /* ２ボタンでアクセル */
  if (Pad00.KD_DAT & KP_2)
    S_Forward(which);
  /* ２ボタンが押されていなくて１か３が押されていたらブレーキ */
  else if (((Pad00.KD_DAT & KP_1) || (Pad00.KD_DAT & KP_3)) 
          && S_GetSpeed(which) > 0.0)
    S_Backward(which); 
  /* 右で右 */
  if (Pad00.KD_DAT & KP_right)
    S_TurnRight(which);
  /* 左で左 */
  if (Pad00.KD_DAT & KP_left)
    S_TurnLeft(which);

#ifdef USE_RADAR1
  /* レーダー表示その１ */
  MSLPutRadar(which, RADAR_X1, RADAR_Y1);
#else
  /* レーダー表示その２ */
  MSLPutRadar2(S_SearchEnemy(which), S_CalcEnemyDist(which));
#endif
}
